body {
    font-family: Arial, sans-serif;
    background-color: #f0f0f0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
}

.container {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    width: 90%;
    max-width: 400px;
    position: relative;
}

h1 {
    text-align: center;
    color: #333;
}

.todo-input {
    display: flex;
    margin-bottom: 20px;
    margin-top: 10px;
}

#new-task {
    flex: 1;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

#task-btn {
    padding: 10px;
    border: none;
    background-color: #28a745;
    color: #fff;
    cursor: pointer;
    border-radius: 4px;
    margin-left: 10px;
    width: 20%;
}

#task-btn:hover {
    background-color: #218838;
}

#logout-btn {
    position: absolute;
    padding: 10px;
    border: none;
    background-size: contain;
    background-repeat: no-repeat;
    background-image: url("../img/logout.png");
    background-color: unset;
    cursor: pointer;
    margin: 10px;
    top: 0;
    right: 0;
}

ul {
    list-style: none;
    padding: 0;
}

li {
    background-color: #f9f9f9;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 4px;
    margin-bottom: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

li > span {
    width: 70%;
}

li .edit-btn, li .delete-btn, li .assign-task-btn {
    border: none;
    background: none;
    cursor: pointer;
}

li .assign-task-btn {
    color: #4f545a;
    margin-right: 10px;
}

li .edit-btn {
    color: #007bff;
    margin-right: 10px;
}

li .delete-btn {
    color: #dc3545;
}

@media (max-width: 400px) {
    .todo-input {
        flex-direction: column;
    }

    #task-btn {
        margin-left: 0;
        margin-top: 10px;
    }
}
